본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Map
  • REST API

사이드 메뉴

Search

This document describes how to integrate Kakao Map APIs into your service with a REST API.

You can test the features described in this document in [Tools] > [REST API Test].

MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/local/search/address.${FORMAT}REST API key

Returns the coordinates and details of the requested address string.

Exclude detailed addresses from the search query

Exclude detailed addresses such as building names under the land-lot number, road name number, and other from the query. Detailed address formats vary widely, so accurate search results cannot be guaranteed.

NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as an authorization method.
O
NameTypeDescriptionRequired
FORMATStringResponse format, one of the following.
  • JSON (Default)
  • XML
X
NameTypeDescriptionRequired
queryStringQuery to search for. Both land-lot number addresses and road name addresses are supported.O
analyze_typeStringSearch result type, one of the following.
  • similar: Provides extended search results even when only part of the entered building name matches. (Default).
  • exact: Provides search results that exactly match the entered building name only when the address pattern includes the exact building name.

Reference: Address-to-coordinate conversion API update to improve quality
X
pageIntegerResult page number (Minimum: 1, Maximum: 45, Default: 1).X
sizeIntegerNumber of results to display on a page (Minimum: 1, Maximum: 30, Default: 10).X
NameDescriptionRequired
Content-TypeResponse data type, one of the following.
  • content-type: application/json;charset=UTF-8
  • content-type: text/xml;charset=UTF-8
O
NameTypeDescription
metaMetaMetadata for the result.
documentsDocument[]List of address search results.
NameTypeDescription
total_countIntegerNumber of results found for the search query.
pageable_countIntegerNumber of results available for display out of total_count.
is_endBooleanWhether the current page is the last page. If false, you can request the next page by incrementing page.
NameTypeDescription
address_nameStringFull land-lot number address or full road name address, determined by the input.
address_typeStringType of address_name, one of the following.
  • REGION: Region name.
  • ROAD: Road name.
  • REGION_ADDR: Land-lot number address.
  • ROAD_ADDR: Road name address.
xStringX coordinate. If the coordinate system is latitude and longitude (WGS84), this is longitude.
yStringY coordinate. If the coordinate system is latitude and longitude (WGS84), this is latitude.
addressAddressDetailed land-lot number address information.
road_addressRoadAddressDetailed road name address information.
NameTypeDescription
address_nameStringFull land-lot number address.
region_1depth_nameStringRegion 1 Depth, city or province level.
region_2depth_nameStringRegion 2 Depth, district level.
region_3depth_nameStringRegion 3 Depth, dong level.
region_3depth_h_nameStringRegion 3 Depth, administrative area name.
h_codeStringAdministrative code.
b_codeStringLegal-status code.
mountain_ynStringWhether the address is a mountain address, one of the following.
  • Y: Mountain.
  • N: Not a mountain.
main_address_noStringMain land-lot number.
sub_address_noStringSub land-lot number. If none, an empty string ("") is returned.
xStringX coordinate. If the coordinate system is latitude and longitude (WGS84), this is longitude.
yStringY coordinate. If the coordinate system is latitude and longitude (WGS84), this is latitude.
* zip_code: Deprecated, 6-digit zip code (String). See Notice.
NameTypeDescription
address_nameStringFull road name address.
region_1depth_nameStringRegion 1 Depth.
region_2depth_nameStringRegion 2 Depth.
region_3depth_nameStringRegion 3 Depth.
road_nameStringRoad name.
underground_ynStringWhether the address is underground, one of the following.
  • Y: Underground.
  • N: Ground level.
main_building_noStringMain building number.
sub_building_noStringSub building number. If none, an empty string ("") is returned.
building_nameStringBuilding name.
zone_noString5-digit zip code.
xStringX coordinate. If the coordinate system is latitude and longitude (WGS84), this is longitude.
yStringY coordinate. If the coordinate system is latitude and longitude (WGS84), this is latitude.
curl -v -G GET "https://dapi.kakao.com/v2/local/search/address.json" \
-H "Authorization: KakaoAK ${REST_API_KEY}" \
--data-urlencode "query=전북 삼성동 100"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"meta": {
"total_count": 4,
"pageable_count": 4,
"is_end": true
},
"documents": [
{
"address_name": "전북 익산시 부송동 100",
"y": "35.97664845766847",
"x": "126.99597295767953",
"address_type": "REGION_ADDR",
"address": {
"address_name": "전북 익산시 부송동 100",
"region_1depth_name": "전북",
"region_2depth_name": "익산시",
"region_3depth_name": "부송동",
"region_3depth_h_name": "삼성동",
"h_code": "4514069000",
"b_code": "4514013400",
"mountain_yn": "N",
"main_address_no": "100",
"sub_address_no": "",
"x": "126.99597295767953",
"y": "35.97664845766847"
},
"road_address": {
"address_name": "전북 익산시 망산길 11-17",
"region_1depth_name": "전북",
"region_2depth_name": "익산시",
"region_3depth_name": "부송동",
"road_name": "망산길",
"underground_yn": "N",
"main_building_no": "11",
"sub_building_no": "17",
"building_name": "",
"zone_no": "54547",
"y": "35.976749396987046",
"x": "126.99599512792346"
}
}
// ...
]
}
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/local/geo/coord2regioncode.${FORMAT}REST API key

Returns the administrative and legal-status area information for the specified coordinates.

NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as an authorization method.
O
NameTypeDescriptionRequired
FORMATStringResponse format, one of the following.
  • JSON (Default)
  • XML
X
NameTypeDescriptionRequired
xDoubleX coordinate. If the coordinate system is latitude and longitude (WGS84), this is longitude.O
yDoubleY coordinate. If the coordinate system is latitude and longitude (WGS84), this is latitude.O
input_coordStringCoordinate system to apply to the coordinate values (x, y), one of the following.
  • WGS84 (Default)
  • WCONGNAMUL
  • CONGNAMUL
  • WTM
  • TM
X
output_coordStringCoordinate system to apply to the response, one of the following.
  • WGS84 (Default)
  • WCONGNAMUL
  • CONGNAMUL
  • WTM
  • TM
X
NameDescriptionRequired
Content-TypeResponse data type, one of the following.
  • content-type: application/json;charset=UTF-8
  • content-type: text/xml;charset=UTF-8
O
NameTypeDescription
metaMetaMetadata for the result.
documentsDocument[]List of administrative region information for the coordinates.
NameTypeDescription
total_countIntegerNumber of administrative regions found.
NameTypeDescription
region_typeStringAdministrative or legal-status area, one of the following.
  • H: Administrative.
  • B: Legal-status.
address_nameStringFull region name.
region_1depth_nameStringRegion 1 Depth, city or province level. Not included for sea areas.
region_2depth_nameStringRegion 2 Depth, district level. Not included for sea areas.
region_3depth_nameStringRegion 3 Depth, dong level. Not included for sea areas.
region_4depth_nameStringRegion 4 Depth.

Important: Exists only when region_type is B and the area is a -ri unit.
codeStringAdministrative or legal-status area code.
xDoubleX coordinate. If the coordinate system is latitude and longitude (WGS84), this is longitude.
yDoubleY coordinate. If the coordinate system is latitude and longitude (WGS84), this is latitude.
curl -v -G GET "https://dapi.kakao.com/v2/local/geo/coord2regioncode.json" \
-H "Authorization: KakaoAK ${REST_API_KEY}" \
-d "x=127.1086228" \
-d "y=37.4012191"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"meta": {
"total_count": 2
},
"documents": [
{
"region_type": "B",
"address_name": "경기도 성남시 분당구 삼평동",
"region_1depth_name": "경기도",
"region_2depth_name": "성남시 분당구",
"region_3depth_name": "삼평동",
"region_4depth_name": "",
"code": "4113510900",
"x": 127.10459896729914,
"y": 37.40269721785548
},
{
"region_type": "H",
"address_name": "경기도 성남시 분당구 삼평동",
"region_1depth_name": "경기도",
"region_2depth_name": "성남시 분당구",
"region_3depth_name": "삼평동",
"region_4depth_name": "",
"code": "4113565500",
"x": 127.1163593869371,
"y": 37.40612091848614
}
]
}
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/local/geo/coord2address.${FORMAT}REST API key

Returns the land-lot number address and road name address information for the specified coordinates.

Road name address response

A road name address may not be returned depending on the specified coordinates.

NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as an authorization method.
O
NameTypeDescriptionRequired
FORMATStringResponse format, one of the following.
  • JSON (Default)
  • XML
X
NameTypeDescriptionRequired
xDoubleX coordinate. If the coordinate system is latitude and longitude (WGS84), this is longitude.O
yDoubleY coordinate. If the coordinate system is latitude and longitude (WGS84), this is latitude.O
input_coordStringCoordinate system to apply to the coordinate values (x, y), one of the following.
  • WGS84 (Default)
  • WCONGNAMUL
  • CONGNAMUL
  • WTM
  • TM
X
NameDescriptionRequired
Content-TypeResponse data type, one of the following.
  • content-type: application/json;charset=UTF-8
  • content-type: text/xml;charset=UTF-8
O
NameTypeDescription
metaMetaMetadata for the result.
documentsDocument[]List of address information for the coordinates.
NameTypeDescription
total_countIntegerNumber of converted land-lot number addresses and road name addresses, 0 or 1.
NameTypeDescription
addressAddressDetailed land-lot number address information.
road_addressRoadAddressDetailed road name address information.
NameTypeDescription
address_nameStringFull land-lot number address.
region_1depth_nameStringRegion 1 Depth, city or province level.
region_2depth_nameStringRegion 2 Depth, district level.
region_3depth_nameStringRegion 3 Depth, dong level.
mountain_ynStringWhether the address is a mountain address, one of the following.
  • Y: Mountain.
  • N: Not a mountain.
main_address_noStringMain land-lot number.
sub_address_noStringSub land-lot number. If none, an empty string ("") is returned.
* zip_code: Deprecated, 6-digit zip code (String). See Notice.
NameTypeDescription
address_nameStringFull road name address.
region_1depth_nameStringRegion 1 Depth.
region_2depth_nameStringRegion 2 Depth.
region_3depth_nameStringRegion 3 Depth.
road_nameStringRoad name.
underground_ynStringWhether the address is underground, one of the following.
  • Y: Underground.
  • N: Ground level.
main_building_noStringMain building number.
sub_building_noStringSub building number. If none, an empty string ("") is returned.
building_nameStringBuilding name.
zone_noString5-digit zip code.
curl -v -G GET "https://dapi.kakao.com/v2/local/geo/coord2address.json" \
-H "Authorization: KakaoAK ${REST_API_KEY}" \
-d "x=127.423084873712" \
-d "y=37.0789561558879" \
-d "input_coord=WGS84"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"meta": {
"total_count": 1
},
"documents": [
{
"road_address": {
"address_name": "경기도 안성시 죽산면 죽산초교길 69-4",
"region_1depth_name": "경기",
"region_2depth_name": "안성시",
"region_3depth_name": "죽산면",
"road_name": "죽산초교길",
"underground_yn": "N",
"main_building_no": "69",
"sub_building_no": "4",
"building_name": "무지개아파트",
"zone_no": "17519"
},
"address": {
"address_name": "경기 안성시 죽산면 죽산리 343-1",
"region_1depth_name": "경기",
"region_2depth_name": "안성시",
"region_3depth_name": "죽산면 죽산리",
"mountain_yn": "N",
"main_address_no": "343",
"sub_address_no": "1"
}
}
]
}
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/local/geo/transcoord.${FORMAT}REST API key

Returns coordinate values in a specified coordinate system from coordinate values in another coordinate system.

NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as an authorization method.
O
NameTypeDescriptionRequired
FORMATStringResponse format, one of the following.
  • JSON (Default)
  • XML
X
NameTypeDescriptionRequired
xDoubleX coordinate. If the coordinate system is latitude and longitude (WGS84), this is longitude.O
yDoubleY coordinate. If the coordinate system is latitude and longitude (WGS84), this is latitude.O
input_coordStringCoordinate system to apply to the coordinate values (x, y), one of the following.
  • WGS84 (Default)
  • WCONGNAMUL
  • CONGNAMUL
  • WTM
  • TM
  • KTM
  • UTM
  • BESSEL
  • WKTM
  • WUTM
X
output_coordStringCoordinate system to apply to the response, one of the following.
  • WGS84
  • WCONGNAMUL
  • CONGNAMUL
  • WTM
  • TM
  • KTM
  • UTM
  • BESSEL
  • WKTM
  • WUTM
O
NameDescriptionRequired
Content-TypeResponse data type, one of the following.
  • content-type: application/json;charset=UTF-8
  • content-type: text/xml;charset=UTF-8
O
NameTypeDescription
metaMetaMetadata for the result.
documentsDocument[]List of converted coordinate information.
NameTypeDescription
total_countIntegerNumber of converted coordinates.
NameTypeDescription
xDoubleX coordinate. If the coordinate system is latitude and longitude (WGS84), this is longitude.
yDoubleY coordinate. If the coordinate system is latitude and longitude (WGS84), this is latitude.
curl -v -G GET "https://dapi.kakao.com/v2/local/geo/transcoord.json" \
-H "Authorization: KakaoAK ${REST_API_KEY}" \
-d "x=160710.37729270622" \
-d "y=-4388.879299157299" \
-d "input_coord=WTM" \
-d "output_coord=WGS84"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"meta": {
"total_count": 1
},
"documents": [
{
"x": 126.57740680000002,
"y": 33.453357700000005
}
]
}
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/local/search/keyword.${FORMAT}REST API key

Returns place search results that match the requested keyword in the specified sort order.

NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as an authorization method.
O
NameTypeDescriptionRequired
FORMATStringResponse format, one of the following.
  • JSON (Default)
  • XML
X
NameTypeDescriptionRequired
queryStringQuery to search for.O
category_group_codeCategoryGroupCodeCategory group code. Used to filter results by category.X
xStringX value of the center coordinate to search, longitude.

Reference: Use with radius to search by center coordinate and radius.
X
yStringY value of the center coordinate to search, latitude.

Reference: Use with radius to search by center coordinate and radius.
X
radiusIntegerSearch radius from the center coordinate (Minimum: 0, Maximum: 20000, Unit: meter (m)).

Important: Center coordinate values (x, y) are required.
X
rectStringCoordinates that specify the rectangular search area. Used when the search area must be limited, such as searching within the map screen. (Format: left X coordinate, left Y coordinate, right X coordinate, right Y coordinate).X
pageIntegerResult page number (Minimum: 1, Maximum: 45, Default: 1).X
sizeIntegerNumber of places to display on a page (Minimum: 1, Maximum: 15, Default: 15).X
sortStringResult sort order, one of the following.
  • distance: Distance from the center coordinate.
  • accuracy: Accuracy (Default).

Important: Center coordinate values (x, y) are required when using distance sort.
X
* You can specify the search area by including set of the center with radius (x, y, radius) parameters, or the rectangular (rect) paramter.
NameDescription
MT1Supermarket.
CS2Convenience store.
PS3Daycare center, kindergarten.
SC4School.
AC5Hagwon such as cram school, private learning institute.
PK6Parking lot.
OL7Gas station, charging station.
SW8Subway station.
BK9Bank.
CT1Cultural facility.
AG2Real estate agency.
PO3Public institutions.
AT4Attractions.
AD5Accommodation.
FD6Restaurant.
CE7Cafe.
HP8Hospital.
PM9Pharmacy.
NameDescriptionRequired
Content-TypeResponse data type, one of the following.
  • content-type: application/json;charset=UTF-8
  • content-type: text/xml;charset=UTF-8
O
NameTypeDescription
metaMetaMetadata for the result.
documentsDocument[]List of places from keyword search results.
NameTypeDescription
total_countIntegerNumber of places found.
pageable_countIntegerNumber of places available for display out of total_count.
is_endBooleanWhether the current page is the last page. If false, you can request the next page by incrementing page.
same_nameSameNameRegion and keyword analysis information for the search query.
NameTypeDescription
regionString[]List of regions recognized from the search query (For example: list of regions corresponding to Jungang-ro in Jungang-ro restaurants).
keywordStringKeyword from the search query excluding region information (For example: restaurants in Jungang-ro restaurants).
selected_regionStringRegion information used for the current search from the list of recognized regions.
NameTypeDescription
idStringPlace ID.
place_nameStringPlace name, company name.
category_nameStringCategory name.
category_group_codeStringMajor category group code. If none, an empty string ("") is returned.
category_group_nameStringMajor category group name. If none, an empty string ("") is returned.
phoneStringPhone number.
address_nameStringFull land-lot number address.
road_address_nameStringFull road name address.
xStringX coordinate, longitude.
yStringY coordinate, latitude.
place_urlStringPlace details page URL.
distanceStringDistance to the center coordinate. Returned only if center coordinate values (x, y) are included in the request. (Unit: meter (m)).
curl -v -G GET "https://dapi.kakao.com/v2/local/search/keyword.json" \
-H "Authorization: KakaoAK ${REST_API_KEY}" \
--data-urlencode "query=카카오프렌즈" \
-d "y=37.514322572335935" \
-d "x=127.06283102249932" \
-d "radius=20000"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"meta": {
"same_name": {
"region": [],
"keyword": "카카오프렌즈",
"selected_region": ""
},
"pageable_count": 14,
"total_count": 14,
"is_end": true
},
"documents": [
{
"place_name": "카카오프렌즈 코엑스점",
"distance": "418",
"place_url": "http://place.map.kakao.com/26338954",
"category_name": "가정,생활 > 문구,사무용품 > 디자인문구 > 카카오프렌즈",
"address_name": "서울 강남구 삼성동 159",
"road_address_name": "서울 강남구 영동대로 513",
"id": "26338954",
"phone": "02-6002-1880",
"category_group_code": "",
"category_group_name": "",
"x": "127.05902969025047",
"y": "37.51207412593136"
}
// ...
]
}
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/local/search/category.${FORMAT}REST API key

Returns place search results for the requested category code in the specified sort order.

NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as an authorization method.
O
NameTypeDescriptionRequired
FORMATStringResponse format, one of the following.
  • JSON (Default)
  • XML
X
NameTypeDescriptionRequired
category_group_codeCategoryGroupCodeCategory group code.O
xStringX value of the center coordinate to search, longitude.

Reference: Use with radius to search by center coordinate and radius.
X
yStringY value of the center coordinate to search, latitude.

Reference: Use with radius to search by center coordinate and radius.
X
radiusIntegerSearch radius from the center coordinate (Minimum: 0, Maximum: 20000, Unit: meter (m)).

Important: Center coordinate values (x, y) are required.
X
rectStringCoordinates that specify the rectangular search area. Used when the search area must be limited, such as searching within the map screen. (Format: left X coordinate, left Y coordinate, right X coordinate, right Y coordinate).X
pageIntegerResult page number (Minimum: 1, Maximum: 45, Default: 1).X
sizeIntegerNumber of places to display on a page (Minimum: 1, Maximum: 15, Default: 15).X
sortStringResult sort order, one of the following.
  • distance: Distance from the center coordinate.
  • accuracy: Accuracy (Default).

Important: Center coordinate values (x, y) are required when using distance sort.
X
* You can specify the search area by including set of the center with radius (x, y, radius) parameters, or the rectangular (rect) paramter.
NameDescriptionRequired
Content-TypeResponse data type, one of the following.
  • content-type: application/json;charset=UTF-8
  • content-type: text/xml;charset=UTF-8
O
NameTypeDescription
metaMetaMetadata for the result.
documentsDocument[]List of places from category search results.
NameTypeDescription
total_countIntegerNumber of places found.
pageable_countIntegerNumber of places available for display out of total_count.
is_endBooleanWhether the current page is the last page. If false, you can request the next page by incrementing page.
same_nameSameNameRegion and keyword analysis information. If none, null is returned.
NameTypeDescription
regionString[]List of recognized regions (For example: list of regions corresponding to Jungang-ro in Jungang-ro restaurants).
keywordStringKeyword excluding region information (For example: restaurants in Jungang-ro restaurants).
selected_regionStringRegion information used for the current search from the list of recognized regions.
NameTypeDescription
idStringPlace ID.
place_nameStringPlace name, company name.
category_nameStringCategory name.
category_group_codeStringRequested category group code.
category_group_nameStringRequested category group name.
phoneStringPhone number.
address_nameStringFull land-lot number address.
road_address_nameStringFull road name address.
xStringX coordinate, longitude.
yStringY coordinate, latitude.
place_urlStringPlace details page URL.
distanceStringDistance to the center coordinate. Returned only if center coordinate values (x, y) are included in the request. (Unit: meter (m)).
curl -v -G GET "https://dapi.kakao.com/v2/local/search/category.json" \
-H "Authorization: KakaoAK ${REST_API_KEY}" \
-d "category_group_code=PM9" \
-d "y=37.514322572335935" \
-d "x=127.06283102249932" \
-d "radius=20000"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"meta": {
"same_name": null,
"pageable_count": 11,
"total_count": 11,
"is_end": true
},
"documents": [
{
"place_name": "장생당약국",
"distance": "",
"place_url": "http://place.map.kakao.com/16618597",
"category_name": "의료,건강 > 약국",
"address_name": "서울 강남구 대치동 943-16",
"road_address_name": "서울 강남구 테헤란로84길 17",
"id": "16618597",
"phone": "02-558-5476",
"category_group_code": "PM9",
"category_group_name": "약국",
"x": "127.05897078335246",
"y": "37.506051888130386"
}
// ...
]
}
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/routing/publictrafficREST API key

Returns public transit routes for the specified origin and destination coordinates.

NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as an authorization method.
O
NameTypeDescriptionRequired
start_xStringOrigin X coordinate.O
start_yStringOrigin Y coordinate.O
s_nameStringOrigin name (Default: 출발).X
end_xStringDestination X coordinate.O
end_yStringDestination Y coordinate.O
e_nameStringDestination name (Default: 도착).X
input_coordStringInput coordinate system, one of the following.
  • WGS84 (Default)
  • WTM
  • TM
  • WCONGNAMUL
X
output_coordStringOutput coordinate system, one of the following.
  • WGS84 (Default)
  • WTM
  • TM
  • WCONGNAMUL
X
NameTypeDescription
statusStringPublic transit route search result code, one of the following.
  • OK: Success.
  • STARTNODES_NULL: No origin node.
  • ENDNODES_NULL: No destination node.
  • EQUAL_POINTS: Origin and destination are the same.
  • INVALID_REQUEST: Invalid request.
  • NO_RESULTS: No results.
propertiesPropertiesPublic transit route result properties.
routesRoute[]List of public transit routes.

Important: Included in the response only when status is OK.
NameTypeDescription
totalIntegerTotal number of routes.
busIntegerNumber of bus routes.
subwayIntegerNumber of subway routes.
busAndSubwayIntegerNumber of routes that use both bus and subway.
landingURLStringLanding URL for the Kakao Map directions screen.
NameTypeDescription
propertiesRoutePropertiesPublic transit route properties.
stepsStep[]List of public transit route steps.
NameTypeDescription
typeStringPublic transit route type, one of the following.
  • BUS: Bus.
  • SUBWAY: Subway.
  • BUS_AND_SUBWAY: Bus and subway.
totalDistanceIntegerPublic transit route distance (Unit: meter (m)).
totalTimeIntegerPublic transit route duration (Unit: second (s)).
transfersIntegerNumber of transfers for the public transit route.
fareFarePublic transit route fare information.
NameTypeDescription
valueIntegerFare (Unit: KRW).
minIntegerMinimum fare.
maxIntegerMaximum fare.
NameTypeDescription
propertiesStepPropertiesPublic transit route step properties.
pathPathPublic transit route step coordinate information.
NameTypeDescription
guidanceStringPublic transit route step guidance text.
typeStringBus or subway subtype name, one of the following:
Trunk, Branch, Metropolitan, Circulation, Airport, Regular, Seated, Express, Village, Direct Express, Suburban, Intercity, Rural, Hangang Bus, Youth, Tour, Direct, ITX-Cheongchun, Limited Express

Important: Subtype names may be added, changed, or removed.
distanceIntegerPublic transit route step distance (Unit: meter (m)).
timeIntegerPublic transit route step duration (Unit: second (s)).
stopsStop[]List of stops for the public transit route step.
vehiclesVehicle[]List of vehicles for the public transit route step.
NameTypeDescription
nameStringStop name.
NameTypeDescription
typeStringVehicle type, one of the following.
  • BUS: Bus.
  • SUBWAY: Subway.
nameStringVehicle name.
NameTypeDescription
pointsDouble[][]List of public transit route step coordinates. Each inner array is a coordinate pair in [x, y] format.
(Example: [[127.02700693, 37.49864277], [127.02698289, 37.49863151]]).
curl -v -G GET "https://dapi.kakao.com/v2/routing/publictraffic" \
-H "Authorization: KakaoAK ${REST_API_KEY}" \
--data-urlencode "start_x=127.11119217" \
--data-urlencode "start_y=37.39477123" \
--data-urlencode "end_x=127.12628814" \
--data-urlencode "end_y=37.41993056"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"status": "OK",
"properties": {
"total": 15,
"bus": 9,
"subway": 1,
"busAndSubway": 5,
"landingURL": "https://map.kakao.com/link/by/traffic/%EC%B6%9C%EB%B0%9C,37.39477123,127.11119217/%EB%8F%84%EC%B0%A9,37.41993056,127.12628814"
},
"routes": [
{
"properties": {
"type": "BUS",
"totalDistance": 5013,
"totalTime": 2115,
"transfers": 0,
"fare": {
"value": 1350
}
},
"steps": [
{
"properties": {
"guidance": "마을 76 (판교역동편 > 성남시청전면)",
"type": "BUS",
"distance": 4127,
"time": 1158,
"stops": [
{ "name": "판교역동편" },
{ "name": "봇들마을7.8단지.롯데마트판교점" }
// ...
],
"vehicles": [
{ "name": "76", "type": "마을" }
// ...
]
},
"path": {
"points": [
[127.11316378, 37.3948816],
[127.11312974, 37.39488161]
// ...
]
}
}
// ...
]
}
// ...
]
}
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/routing/walkREST API key

Returns walking routes for the specified origin and destination coordinates.

NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as an authorization method.
O
NameTypeDescriptionRequired
start_xStringOrigin X coordinate.O
start_yStringOrigin Y coordinate.O
via_xStringWaypoint X coordinates (Up to 5, separated by comma (,)).X
via_yStringWaypoint Y coordinates (Up to 5, separated by comma (,)).X
end_xStringDestination X coordinate.O
end_yStringDestination Y coordinate.O
s_nameStringOrigin name (Default: 출발).X
v_nameStringWaypoint names (Up to 5, separated by comma (,)).X
e_nameStringDestination name (Default: 도착).X
input_coordStringInput coordinate system, one of the following.
  • WGS84 (Default)
  • WTM
  • TM
  • WCONGNAMUL
X
output_coordStringOutput coordinate system, one of the following.
  • WGS84 (Default)
  • WTM
  • TM
  • WCONGNAMUL
X
route_modeStringSearch option, one of the following.
  • BROAD_FIRST: Wide roads first (Default).
  • SHORTEST: Shortest route.
  • ACCESSIBLE: Easy route.
X
NameTypeDescription
statusStringRoute search result status, one of the following.
  • OK: Success.
  • SAME_POINT: Origin and destination are the same.
  • START_LINK_NOT_FOUND: Road around the origin cannot be found.
  • END_LINK_NOT_FOUND: Road around the destination cannot be found.
  • TOO_MANY_SEARCH_LINK: Too many links were searched.
  • TOO_FAR_AWAY: Origin and destination are too far apart.
  • ROUTE_RESULT_NOT_FOUND: No results.
routeRouteFull route information.

Important: Included in the response only when status is OK.
NameTypeDescription
propertiesRoutePropertiesFull route properties.
legsLeg[]List of route sections.
NameTypeDescription
totalDistanceIntegerTotal route distance (Unit: meter (m)).
totalTimeIntegerTotal route duration (Unit: second (s)).
landingUrlStringLanding URL for the Kakao Map directions screen.
NameTypeDescription
propertiesLegPropertiesRoute section properties.
stepsStep[]List of route section steps.
NameTypeDescription
distanceIntegerRoute section distance (Unit: meter (m)).
timeIntegerRoute section duration (Unit: second (s)).
NameTypeDescription
propertiesStepPropertiesRoute step properties.
pathPathRoute step coordinate information.
NameTypeDescription
distanceIntegerRoute step distance (Unit: meter (m)).
guidanceStringRoute step guidance text.
timeIntegerRoute step duration (Unit: second (s)).
xDoubleX coordinate of the route step start point.
yDoubleY coordinate of the route step start point.
NameTypeDescription
pointsDouble[][]List of route step coordinates. Each inner array is a coordinate pair in [x, y] format.
(Example: [[127.02700693, 37.49864277], [127.02698289, 37.49863151]]).
curl -v -G GET "https://dapi.kakao.com/v2/routing/walk" \
-H "Authorization: KakaoAK ${REST_API_KEY}" \
--data-urlencode "start_x=127.11119669891646" \
--data-urlencode "start_y=37.394776627382875" \
--data-urlencode "end_x=127.12629039752096" \
--data-urlencode "end_y=37.4199323570413"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"route": {
"properties": {
"totalDistance": 4025,
"totalTime": 3914,
"landingUrl": "https://map.kakao.com/link/by/walk/%EC%B6%9C%EB%B0%9C,37.394776627382875,127.11119669891646/%EB%8F%84%EC%B0%A9,37.4199323570413,127.12629039752096"
},
"legs": [
{
"properties": {
"distance": 4025,
"time": 3914
},
"steps": [
{
"properties": {
"distance": 93,
"guidance": "판교역 1번 출구까지 역사 내 이동",
"time": 84,
"x": 127.11119783,
"y": 37.39477573
},
"path": {
"points": [
[127.11119783, 37.39477573],
[127.11119779, 37.39474869],
[127.1114835, 37.39474572],
[127.11148211, 37.39533499]
// ...
]
}
}
// ...
]
}
// ...
]
},
"status": "OK"
}
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/routing/bicycleREST API key

Returns bicycle routes for the specified origin and destination coordinates.

NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as an authorization method.
O
NameTypeDescriptionRequired
start_xStringOrigin X coordinate.O
start_yStringOrigin Y coordinate.O
via_xStringWaypoint X coordinates (Up to 5, separated by comma (,)).X
via_yStringWaypoint Y coordinates (Up to 5, separated by comma (,)).X
end_xStringDestination X coordinate.O
end_yStringDestination Y coordinate.O
s_nameStringOrigin name (Default: 출발).X
v_nameStringWaypoint names (Up to 5, separated by comma (,)).X
e_nameStringDestination name (Default: 도착).X
input_coordStringInput coordinate system, one of the following.
  • WGS84 (Default)
  • WTM
  • TM
  • WCONGNAMUL
X
output_coordStringOutput coordinate system, one of the following.
  • WGS84 (Default)
  • WTM
  • TM
  • WCONGNAMUL
X
route_modeStringSearch option, one of the following.
  • BIKE_ONLY (Default): Bicycle roads first.
  • SHORTEST: Shortest route.
  • ACCESSIBLE: Easy route.
X

The response for the Get bicycle routes API is the same as the Get walking routes API response.

curl -v -G GET "https://dapi.kakao.com/v2/routing/bicycle" \
-H "Authorization: KakaoAK ${REST_API_KEY}" \
--data-urlencode "start_x=127.11119669891646" \
--data-urlencode "start_y=37.394776627382875" \
--data-urlencode "end_x=127.12629039752096" \
--data-urlencode "end_y=37.4199323570413"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"route": {
"properties": {
"totalDistance": 4155,
"totalTime": 1242,
"landingUrl": "https://map.kakao.com/link/by/bicycle/%EC%B6%9C%EB%B0%9C,37.394776627382875,127.11119669891646/%EB%8F%84%EC%B0%A9,37.4199323570413,127.12629039752096"
},
"legs": [
{
"properties": {
"distance": 4155,
"time": 1242
},
"steps": [
{
"properties": {
"distance": 76,
"guidance": "76m 이동",
"time": 12,
"x": 127.11143401,
"y": 37.39488363
},
"path": {
"points": [
[127.11143401, 37.39488363],
[127.11145558, 37.39495569],
[127.11145156, 37.39529448],
[127.11150469, 37.39532596]
// ...
]
}
}
// ...
]
}
// ...
]
},
"status": "OK"
}
MethodURLAuthorization
GEThttps://dapi.kakao.com/v2/maps/staticmapREST API key

Returns a static map image reflecting the specified coordinates and options.

The response image includes the Kakao CI logo. You can adjust its position with the logo_pos parameter, but you cannot remove it.

NameDescriptionRequired
AuthorizationAuthorization: KakaoAK ${REST_API_KEY}
REST API key as an authorization method.
O
NameTypeDescriptionRequired
centerStringMap center coordinate in X,Y format, separated by comma (,) (Example: 127.1105,37.3955).

Important: Either center or markers is required. If both parameters are omitted, an error is returned because the map center cannot be determined.
X
markersStringMarker information. For how to configure markers, see markers inner parameters.

Important: Either center or markers is required. If both parameters are omitted, an error is returned because the map center cannot be determined.
X
sizeStringImage size in {WIDTH}x{HEIGHT} format (Maximum: 2048x1024).O
formatStringResponse image format, one of the following.
  • png (Default)
  • jpg
X
logo_posStringKakao CI logo position, one of the following.
  • BOTTOM_LEFT (Default)
  • BOTTOM_RIGHT
  • TOP_LEFT
  • TOP_RIGHT
X
scaleIntegerImage scale, one of the following.
  • 1
  • 2 (Default)

Reference: If scale is 2, the response image size is twice the size.
X
lvIntegerMap zoom level (Minimum: 1, Maximum: 15, Default: 3).X
coordStringCoordinate system to apply to the request, one of the following.
  • WGS84 (Default)
  • WCONGNAMUL
  • WTM
  • TM
X

The markers value separates keys and values with a colon (:) and connects parameters with a pipe (|). Multiple markers are connected with an ampersand (&), and you can connect up to 5 markers. See the parameter table and example below.

NameTypeDescriptionRequired
locationStringMarker coordinate in X,Y format, separated by comma (,).
(Example: 127.1105,37.3955).
O
optionBooleanWhether to exclude the marker when automatically calculating the map area (center, lv).
  • true: Exclude from area calculation.
  • false: Include in area calculation (Default).
X
markers=location:127.1105,37.3955|option:false&markers=location:127.1120,37.3970|option:false
  • Static map image binary data
curl -v -G GET "https://dapi.kakao.com/v2/maps/staticmap" \
-H "Authorization: KakaoAK ${REST_API_KEY}" \
--data-urlencode "center=127.1105,37.3955" \
--data-urlencode "size=640x480" \
--data-urlencode "markers=location:127.1105,37.3955|option:false"
// HTTP/1.1 200 OK
// Content-Type: image/png (image/jpeg if the requested image format is jpg)
<binary image data>

Was this helpful?

    Kakao Map > REST API - Kakao Developers | Docs